% Whiten a set of training data by subtracting the mean and dividing by the
% standard deviation for each feature.
%
% Since we know that all the features are in the same units, we don't want
% to exaggerate features with small variance, so we set some minimum
% standard deviation

function [dat,datMean,datStd] = simpleWhitenData(dat)

MINSTD = 20;

datMean = mean(dat,1);
dat = bsxfun(@minus,dat,datMean);

datStd = max(std(dat,1),MINSTD);
dat = bsxfun(@rdivide,dat,datStd);