% Splits the given data and classes based on the binary isTest input which
% tells whether or not each case is in the test set
%
% Assumes both data and classes are 2-D, with the first (rows) representing
% case number, and the second (cols) representing feature number

function [trainData,testData,trainClasses,testClasses] = splitData(data, classes, isTest)

testData = data(isTest,:);
testClasses = classes(isTest,:);

trainData = data(~isTest,:);
trainClasses = classes(~isTest,:);
